Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 180778 - Internal compiler error in find_reloads_toplev, at reload.c:4467building vlc-8.4a
Summary: Internal compiler error in find_reloads_toplev, at reload.c:4467building vlc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc
Version: 3.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-02-10 09:37 UTC by Peter Pearse
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0454
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:32:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
Local installs & environment during bug (deleted)
2006-02-10 09:58 UTC, Peter Pearse
no flags Details
config.log for failed make (deleted)
2006-02-10 09:58 UTC, Peter Pearse
no flags Details
Preprocessed source (deleted)
2006-02-10 10:01 UTC, Peter Pearse
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0454 normal SHIPPED_LIVE gcc bug fix update 2006-07-19 18:39:00 UTC

Description Peter Pearse 2006-02-10 09:37:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:


Version-Release number of selected component (if applicable):
gcc-3.2.3-53

How reproducible:
Always

Steps to Reproduce:
1. Extract vlc-8.4a
2. ./configure --prefix<workdir>/hostbuilds --disable-mad CPPFLAGS=-I<workdir>/hostbuilds/include LDFLAGS=-L<workdir>/hostbuilds/lib --disable-wxwidgets --disable-skins2
3. make
  

Actual Results:  if /usr/bin/gcc -DHAVE_CONFIG_H -I. -I. -I../..   -I/projects/prd33_ael/ppearse/NewAEL/hostbuilds/include -DSYS_LINUX -I../../include `top_builddir="../.." ../../vlc-config --cflags builtin i420_rgb_mmx` -Wsign-compare -Wall  -pipe -MT libi420_rgb_mmx_a-i420_rgb16.o -MD -MP -MF ".deps/libi420_rgb_mmx_a-i420_rgb16.Tpo" -c -o libi420_rgb_mmx_a-i420_rgb16.o `test -f 'i420_rgb16.c' || echo './'`i420_rgb16.c; \
then mv -f ".deps/libi420_rgb_mmx_a-i420_rgb16.Tpo" ".deps/libi420_rgb_mmx_a-i420_rgb16.Po"; else rm -f ".deps/libi420_rgb_mmx_a-i420_rgb16.Tpo"; exit 1; fi
i420_rgb16.c: In function `I420_RGB16__i420_rgb_mmx':
i420_rgb16.c:415: Internal compiler error in find_reloads_toplev, at reload.c:4467


Expected Results:  make should succeed

Additional info:

Running as user
Some libraries & headers locally available in <workdir>/hostbuilds - see attachment

Comment 1 Peter Pearse 2006-02-10 09:58:08 UTC
Created attachment 124481 [details]
Local installs & environment during bug

Comment 2 Peter Pearse 2006-02-10 09:58:55 UTC
Created attachment 124483 [details]
config.log for failed make

Comment 3 Peter Pearse 2006-02-10 10:01:11 UTC
Created attachment 124484 [details]
Preprocessed source

Comment 10 Bob Johnson 2006-04-11 16:22:29 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 15 Red Hat Bugzilla 2006-07-20 14:32:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0454.html



Note You need to log in before you can comment on or make changes to this bug.